Bug 68339 - packer.h missing in binary rpm
packer.h missing in binary rpm
Product: Fedora
Classification: Fedora
Component: cracklib (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: 113030 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-07-09 08:19 EDT by Joerg Dorchain
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-28 20:48:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joerg Dorchain 2002-07-09 08:19:03 EDT
Description of Problem:
the packer.h include file is not installed with the current spec file
some programs, e.g. php-4.2.1 test for it.

Version-Release number of selected component (if applicable):
I checked cracklib-2.7-8 from the 7.1 release and cracklib-2.7-18 from rawhide

How Reproducible:

Steps to Reproduce:
Build the package and install it.

Actual Results:
packer.h is not installed

Expected Results:
packer.h in /usr/include next to crack.h

Additional Information:
The following patch fixes it. it is against the 	2.7-18 spec file
--- cracklib.spec.redhat	Tue Jul  9 14:07:53 2002
+++ cracklib.spec	Tue Jul  9 14:10:57 2002
@@ -101,6 +101,7 @@
 	includedir=%{_includedir} \
 	libdir=%{_libdir} \
+cp cracklib/packer.h $RPM_BUILD_ROOT/%{_includedir}
 %post -p /sbin/ldconfig
Comment 1 Joseph Tate 2003-11-10 11:01:01 EST
Why in the world has this not been fixed?  A patch was provided, there
are no other files that would conflict with the change

Still exists in RHL 9, FC 1, and RHEL 3.

Here is a patch that fixes the Makefile to install packer.h as well as

diff -uNr cracklib,2.7/cracklib/Makefile
--- cracklib,2.7/cracklib/Makefile      Thu Jan  3 14:37:25 2002
+++ cracklib,2.7-changed/cracklib/Makefile      Thu Jan  3 14:15:23 2002
@@ -22,7 +22,8 @@
        -rm -f $(OBJ) $(LIB) $(LIB).$(VERSION) *~

-install: $(LIB) crack.h
+install: $(LIB) crack.h packer.h
        install -m 755 $(LIB).$(VERSION) $(ROOT)$(libdir)
        ln -sf $(LIB).$(VERSION) $(ROOT)$(libdir)/$(LIB)
        install -m 644 crack.h $(ROOT)$(includedir)
+       install -m 644 packer.h $(ROOT)$(includedir)

Since this section is modified by the cracklib-2.7-rh.patch it's only
fitting that packer.h be installed as well.
Comment 2 Joseph Tate 2003-11-10 11:35:39 EST

use my patch inlined above in the SPEC file.  Ignore the first patch.
Comment 3 Daniel Roesen 2004-01-28 18:25:34 EST
Nalin, could you please comment?
I've just waste about 30 minutes finding out why this was broken when
I tried building PHP here. The fix is EASY.

Can we please get this fixed for at least FC2?
Comment 4 Daniel Roesen 2004-01-28 19:40:09 EST
Alan asked for upgrading of product/version. Doing so.
Comment 5 Karsten Hopp 2004-01-28 20:48:21 EST
Nalin added the patch last year and forgot to build the package ;-) 
Comment 6 Daniel Roesen 2004-01-28 20:57:28 EST
*** Bug 113030 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.